org.eclipse.jetty.server.handler

## Class ContextHandler.ApprovePathPrefixAliases

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.ApprovePathPrefixAliases

- All Implemented Interfaces:
    ContextHandler.AliasCheck
  Enclosing class:
    ContextHandler

      public static class ContextHandler.ApprovePathPrefixAliases
      extends Object
      implements ContextHandler.AliasCheck

  Approve Aliases with a path prefix. Eg. a symbolic link from /dirA/foobar.html to /dirB/foobar.html would be approved because both the resource and alias end with "/foobar.html".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextHandler.ApprovePathPrefixAliases()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(String path, Resource resource)` Check an alias

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextHandler.ApprovePathPrefixAliases

          public ContextHandler.ApprovePathPrefixAliases()

  - ### Method Detail

    - #### check

          public boolean check(String path,
                      Resource resource)

      Description copied from interface: `ContextHandler.AliasCheck`
      Check an alias
      Specified by:
        `check` in interface `ContextHandler.AliasCheck`
      Parameters:
        `path` - The path the aliased resource was created for
        `resource` - The aliased resourced
      Returns:
        True if the resource is OK to be served.

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.